Bug 1657972 - Mails with pdf attachments are no longer displayed
Summary: Mails with pdf attachments are no longer displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-horde-imp
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 21:33 UTC by Michael Lampe
Modified: 2019-01-27 00:41 UTC (History)
1 user (show)

Fixed In Version: php-horde-imp-6.2.23-2.el6 php-horde-imp-6.2.23-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-27 00:37:53 UTC


Attachments (Terms of Use)

Description Michael Lampe 2018-12-10 21:33:08 UTC
Mails with pdf attachments are no longer displayed, they create a server error.

PHP Fatal error:  Undefined class constant 'ALPHACHANNEL_REMOVE' in /usr/share/horde/imp/lib/Mime/Viewer/Pdf.php on line 142, ...

Upstream now targets the new ImageMagick API, which el7 doesn't provide.

https://bugs.horde.org/ticket/14833

There is a patch suggested in this ticket which works for me.

Comment 1 Remi Collet 2019-01-10 06:57:04 UTC
Trivial patch proposal: 
https://github.com/mkoppanen/imagick/pull/186

Comment 2 Fedora Update System 2019-01-10 07:09:56 UTC
php-horde-imp-6.2.23-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-afdb744710

Comment 3 Fedora Update System 2019-01-10 07:09:58 UTC
php-horde-imp-6.2.23-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-afdb744710

Comment 4 Fedora Update System 2019-01-10 07:10:03 UTC
php-horde-imp-6.2.23-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-cb70f98a43

Comment 5 Fedora Update System 2019-01-10 07:10:06 UTC
php-horde-imp-6.2.23-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-cb70f98a43

Comment 6 Fedora Update System 2019-01-11 03:28:50 UTC
php-horde-imp-6.2.23-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-afdb744710

Comment 7 Fedora Update System 2019-01-11 17:23:34 UTC
php-horde-imp-6.2.23-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-cb70f98a43

Comment 8 Michael Lampe 2019-01-11 18:54:30 UTC
php-horde-imp-6.2.23-2.el7 fixes it, thanks.

Comment 9 Fedora Update System 2019-01-27 00:37:53 UTC
php-horde-imp-6.2.23-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-01-27 00:41:50 UTC
php-horde-imp-6.2.23-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.